const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("deliverorg", {
    deliver_id: DataTypes.STRING,
    company_id: DataTypes.INTEGER,
    code: DataTypes.STRING,
    name: DataTypes.STRING,
    parent_id: DataTypes.INTEGER,
    path: DataTypes.STRING,
    type: DataTypes.STRING,
    group_type: DataTypes.STRING,
    description: DataTypes.STRING,
    del_flag: DataTypes.STRING,
    crt_time: DataTypes.DATE,
    crt_user: DataTypes.STRING,
    crt_name: DataTypes.STRING,
    crt_host: DataTypes.STRING,

    upd_time: DataTypes.DATE,
    upd_user: DataTypes.STRING,
    upd_name: DataTypes.STRING,
    upd_host: DataTypes.STRING,
  }, {
    paranoid: true, //假的删除
    underscored: true,
    version: true,
    freezeTableName: true,
    //freezeTableName: true,
    // define the table's name
    tableName: 'd_deliver_org',
    validate: {},
    indexes: [
      // Create a unique index on email
      //  {
      //    unique: true,
      //    fields: ['email']
      //  },
      //
      //  // Creates a gin index on data with the jsonb_path_ops operator
      //  {
      //    fields: ['data'],
      //    using: 'gin',
      //    operator: 'jsonb_path_ops'
      //  },
      //
      //  // By default index name will be [table]_[fields]
      //  // Creates a multi column partial index
      //  {
      //    name: 'public_by_author',
      //    fields: ['author', 'status'],
      //    where: {
      //      status: 'public'
      //    }
      //  },
      //
      //  // A BTREE index with a ordered field
      //  {
      //    name: 'title_index',
      //    method: 'BTREE',
      //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
      //  }
    ]
  });
}